## ros-lunar-katana-msgs 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(katana_msgs)

find_package(catkin REQUIRED COMPONENTS
  sensor_msgs
  actionlib_msgs
  message_generation
)

add_message_files(
  FILES
  GripperControllerState.msg
)

add_action_files(
  FILES
  JointMovement.action
)

generate_messages(
  DEPENDENCIES
  sensor_msgs actionlib_msgs)

catkin_package(
  INCLUDE_DIRS
  LIBRARIES
  CATKIN_DEPENDS
    message_runtime
    sensor_msgs
    actionlib_msgs
  DEPENDS
)

=== debian/changelog ===
ros-lunar-katana-msgs (1.1.2-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-lunar-katana-msgs (1.1.1-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-lunar-katana-msgs (1.1.0-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-lunar-katana-msgs (1.0.8-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-lunar-katana-msgs (1.0.7-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Fri, 10 Feb 2017 23:00:00 -0000

ros-lunar-katana-msgs (1.0.6-0stretch) stretch; urgency=high

  * Initial release to Kinetic
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 26 Jan 2017 23:00:00 -0000

ros-lunar-katana-msgs (1.0.5-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 11 Apr 2016 22:00:00 -0000

ros-lunar-katana-msgs (1.0.4-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 10 Apr 2016 22:00:00 -0000

ros-lunar-katana-msgs (1.0.3-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 28 Jun 2015 22:00:00 -0000

ros-lunar-katana-msgs (1.0.2-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Tue, 05 May 2015 22:00:00 -0000

ros-lunar-katana-msgs (1.0.1-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 16 Mar 2015 23:00:00 -0000

ros-lunar-katana-msgs (1.0.0-0stretch) stretch; urgency=high

  * Initial release to Debian packages
  * Contributors: Martin Günther, Henning Deeken

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 15 Mar 2015 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-katana-msgs
Section: misc
Priority: extra
Maintainer: Martin Günther <mguenthe@uni-osnabrueck.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib-msgs, ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-sensor-msgs
Homepage: http://ros.org/wiki/katana_msgs
Standards-Version: 3.9.2

Package: ros-lunar-katana-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib-msgs, ros-lunar-message-runtime, ros-lunar-sensor-msgs
Description: This package contains messages specific to the Neuronics Katana arm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-katana-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
